Closed Example

Using Programming Languages other than VBA

Sub Example_Closed()
	' This example creates a polyline and then toggles the
	' setting to Closed.
	Dim plineObj As AcadPolyline
	Dim closedState As String

	' Create the polyline
	Dim points(8) As Double
	points(0) = 3: points(1) = 7: points(2) = 0
	points(3) = 9: points(4) = 2: points(5) = 0
	points(6) = 3: points(7) = 5: points(8) = 0
	Set plineObj = ThisDrawing.ModelSpace.AddPolyline(points)

	' Set the closed property to True
	plineObj.Closed = True	' Close Polyline
	ThisDrawing.Regen (True)
	GoSub DISPLAY

	' Open the PolyLine by setting the closed property to False
	plineObj.Closed = False	' Open Polyline
	ThisDrawing.Regen (True)
	GoSub DISPLAY

	Exit Sub

DISPLAY:
	' Retrieve and display the Closed property
	closedState = IIf(plineObj.Closed, "Closed", "Open")
	MsgBox "The new Polyline is: " & closedState, vbInformation, "Closed Example"
	Return
End Sub





   Comments? 


500 Internal Server Error

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@entercad.forsenergy.ru to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.